[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.BeginPage

Begins a page on the print device.

## Declaration

Source position: printers.pas line 315

`public procedure TPrinter.BeginPage;`

## Description

BeginPage is a procedure used to perform action when a page is started on the print device. BeginPage calls CheckPrinting to ensure that Printing contains True. An exception is raised in CheckPrinting when Printing contains False.

When RawMode is False, the BeginPage method in Canvas is called to synchronize the printer canvas.

BeginPage calls the DoBeginPage method to perform any actions needed for the class implementation.

BeginPage is called from the BeginDoc method, and from the NewPage method when DoNewPage has not been overridden.